Skip to content
Browse files

Remove the VERSION constant from rubygems_plugin.rb, removes warnings in

Rubygems tests
  • Loading branch information...
1 parent 30137cb commit 7ea3368c1262f9037bb9ed454a3bb9561144b87d @raggi raggi committed Oct 1, 2011
Showing with 3 additions and 9 deletions.
  1. +3 −1 lib/rubygems/mirror.rb
  2. +0 −8 lib/rubygems_plugin.rb
View
4 lib/rubygems/mirror.rb
@@ -5,6 +5,8 @@ class Gem::Mirror
autoload :Fetcher, 'rubygems/mirror/fetcher'
autoload :Pool, 'rubygems/mirror/pool'
+ VERSION = '1.0.0'
+
SPECS_FILE = "specs.#{Gem.marshal_version}"
SPECS_FILE_Z = "specs.#{Gem.marshal_version}.gz"
@@ -83,4 +85,4 @@ def update
update_gems
cleanup_gems
end
-end
+end
View
8 lib/rubygems_plugin.rb
@@ -1,12 +1,4 @@
require 'rubygems/command_manager'
require 'rubygems/mirror/command'
-module Gem #:nodoc:
-end
-
-class Gem::Mirror
- # 1.0.0
- VERSION = '1.0.0'
-end
-
Gem::CommandManager.instance.register_command :mirror

0 comments on commit 7ea3368

Please sign in to comment.
Something went wrong with that request. Please try again.